%define upstream_name    File-Path-Tiny
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Recursive versions of mkdir() and rmdir() without as much overhead as File::Path
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
The goal here is simply to provide recursive versions of the mkdir
manpage() and the rmdir manpage() with as little code and overhead as
possible.

This module is in no way meant to derogate the File::Path manpage and is in
no way an endorsement to go out and replace all use of the File::Path
manpage with the File::Path::Tiny manpage.

the File::Path manpage is very good at what it does but there's simply a
lot happening that we can do without much of the time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.0-3.mga10
+ Revision: 2206841
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1814094
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.0.0-1.mga9
+ Revision: 1691277
- update to 1.0

* Wed Feb 12 2020 umeabot <umeabot> 0.900.0-3.mga8
+ Revision: 1504506
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.900.0-2.mga7
+ Revision: 1283691
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 shlomif <shlomif> 0.900.0-1.mga7
+ Revision: 1191650
- update to 0.9

* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-2.mga6
+ Revision: 1027455
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.800.0-1.mga6
+ Revision: 1001929
- update to 0.8

* Mon Feb 08 2016 umeabot <umeabot> 0.700.0-6.mga6
+ Revision: 947006
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-5.mga5
+ Revision: 744795
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.700.0-4.mga5
+ Revision: 732141
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-3.mga5
+ Revision: 684749
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.700.0-2.mga4
+ Revision: 537803
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.700.0-1.mga4
+ Revision: 487799
- update to 0.7

* Thu Sep 26 2013 sander85 <sander85> 0.600.0-1.mga4
+ Revision: 487262
- update to 0.6

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 367299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 kharec <kharec> 0.500.0-1.mga3
+ Revision: 288915
- update to 0.5

* Wed Sep 05 2012 kharec <kharec> 0.400.0-1.mga3
+ Revision: 288460
- update to 0.4

* Tue Jun 05 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 254948
- update to 0.3

* Tue Jan 18 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 22036
- cleaning spec file
- imported package perl-File-Path-Tiny


* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 586064
- import perl-File-Path-Tiny

